<template>
  <div v-if="showBanner && !isDeclined" id="cookie-consent">
    <v-banner>
      <!-- Icon slot -->
      <template #icon>
        <v-avatar size="40">
          <v-icon color="primary">mdi-cookie</v-icon>
        </v-avatar>
      </template>
      <!-- Default slot -->
      {{ $t('cookies.info') }}
      <a class="text-decoration-underline" href="https://www.ugent.be/en/cookies" target="blank">{{
        $t('cookies.click')
      }}</a
      >.
      <!-- Actions slot -->
      <template #actions>
        <v-btn color="primary" @click="okClicked">{{ $t('cookies.accept') }}</v-btn>
        <v-btn color="primary" text @click="declineClicked">{{ $t('cookies.decline') }}</v-btn>
      </template>
    </v-banner>
  </div>
</template>

<script lang="ts">
import { defineComponent, ref } from '@vue/composition-api'

import useCookies from '@/plugins/cookie-consent'

export default defineComponent({
  setup() {
    const isDeclined = ref(false)
    const { okClicked, showBanner } = useCookies()
    const declineClicked = () => {
      isDeclined.value = true
    }
    return {
      okClicked,
      declineClicked,
      showBanner,
      isDeclined,
    }
  },
})
</script>

<style lang="scss" scoped>
#cookie-consent {
  position: fixed;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 1000000 !important;
  background-color: $background;
  border-top: thin solid rgba(0, 0, 0, 0.12);
}

#cookie-consent > * {
  max-width: $max-content-width;
  margin-left: auto;
  margin-right: auto;
}

::v-deep .v-banner__wrapper {
  border: none !important;
  padding-top: 24px !important;
  padding-bottom: 32px !important;
}
</style>
